Bug 173198 - [patch] Update x11-toolkits/open-motif 2.3.4 and rename to motif
Summary: [patch] Update x11-toolkits/open-motif 2.3.4 and rename to motif
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cy Schubert
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-29 20:00 UTC by Cy Schubert
Modified: 2012-11-06 19:49 UTC (History)
0 users

See Also:


Attachments
motif.diff (59.75 KB, patch)
2012-10-30 17:42 UTC, Cy Schubert
no flags Details | Diff
file.dat (164 bytes, text/plain; charset=us-ascii)
2012-10-30 17:42 UTC, Cy Schubert
no flags Details
motif.diff (22.41 KB, patch)
2012-11-05 21:14 UTC, m.tsatsenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cy Schubert freebsd_committer 2012-10-29 20:00:00 UTC
This patch updates openmotif 2.3.3 to motif 2.3.4.

It is now named Motif and is LGPL 2.1.


Index: MOVED
===================================================================
--- MOVED	(revision 306626)
+++ MOVED	(working copy)
@@ -3835,3 +3835,4 @@
 x11-toolkits/ocaml-lablgtk||2012-10-27|Has expired: Abandoned upstream, consider using x11-toolkit/ocaml-lablgtk2
 audio/xmms-arts_output||2012-10-28|Has expired: Outdated and distfile no longer available
 databases/pear-MDB2_Driver_ibase||2012-10-28|Has expired: BROKEN for more than 6 month
+x11-toolkits/open-motif|motif|2012-10-29|Openmotife is now named Motif (under LGPL 2.1)
Index: x11-toolkits/Makefile
===================================================================
--- x11-toolkits/Makefile	(revision 306626)
+++ x11-toolkits/Makefile	(working copy)
@@ -129,12 +129,12 @@
     SUBDIR += linux-openmotif
     SUBDIR += linux-pango
     SUBDIR += linux-qt33
+    SUBDIR += motif
     SUBDIR += movingmotif
     SUBDIR += mowitz
     SUBDIR += neXtaw
     SUBDIR += nucleo
     SUBDIR += ocaml-lablgtk2
-    SUBDIR += open-motif
     SUBDIR += otk
     SUBDIR += p5-Alien-wxWidgets
     SUBDIR += p5-Glade2
Index: x11-toolkits/motif/Makefile
===================================================================
--- x11-toolkits/motif/Makefile	(working copy)
+++ x11-toolkits/motif/Makefile	(working copy)
@@ -1,27 +1,25 @@
-# ex:ts=8
-# New ports collection makefile for:	motif
-# Date created:		5 December 1994
-# Whom:			asami
-#
 # $FreeBSD$
 #
 
-PORTNAME=	open-motif
-PORTVERSION=	2.3.3
-PORTREVISION=	2
+PORTNAME=	motif
+PORTVERSION=	2.3.4
 CATEGORIES=	x11-toolkits
-MASTER_SITES=	ftp://ftp.ics.com/openmotif/${PORTVERSION:C/^([0-9]+\.[0-9]+).*/\1/}/${PORTVERSION}/
-DISTNAME=	openmotif-${PORTVERSION}
-DIST_SUBDIR=	openmotif
+MASTER_SITES=	SF/${PORTNAME}/Motif%202.3.4%20Source%20Code/
+DISTNAME=	motif-${PORTVERSION}-src
+EXTRACT_SUFX=	.tgz
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=	m.tsatsenko@gmail.com
 COMMENT=	Motif X11 Toolkit (industry standard GUI (IEEE 1295))
 
+LICENSE=	LGPL21
+LICENSE_FILE=	${WRKSRC}/COPYING
+
 LIB_DEPENDS=	png15:${PORTSDIR}/graphics/png \
 		jpeg.11:${PORTSDIR}/graphics/jpeg
 
 MAKE_JOBS_UNSAFE=	yes
-CONFLICTS=	lesstif-[0-9]*
+CONFLICTS=	lesstif-[0-9]* open-motif-[0-0]*
 
 USE_AUTOTOOLS=	libtool
 USE_ICONV=	yes
@@ -87,10 +85,10 @@
 	@${FIND} ${WRKSRC}/doc/man/man5 -name '*.5' -maxdepth 1 | \
 		${XARGS} ${REINPLACE_CMD} -e 's|special file|5| ; \
 		 s|file formats|5|'
-	@${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|' \
-		-e '/-dumpversion/{ s/==/=/; s/gcc/$$CC/; }' \
-		${WRKSRC}/configure
 
+pre-configure:
+	cd ${WRKSRC} && ./autogen.sh
+
 post-install:
 .if defined(WITH_OPENMOTIF_DEMOS)
 	${INSTALL_DATA} ${DEMOS_SRC}/Column/Column.ad \
@@ -172,7 +170,7 @@
 .endif
 .if !defined(WITHOUT_OPENMOTIF_MANUALS)
 	@${MKDIR} ${DOCSDIR}
-.for i in BUGREPORT COPYRIGHT.MOTIF README RELNOTES
+.for i in BUGREPORT README RELNOTES
 	${INSTALL_DATA} ${WRKSRC}/${i} ${DOCSDIR}
 .endfor
 .endif
Index: x11-toolkits/motif/Makefile.man
===================================================================
--- x11-toolkits/motif/Makefile.man	(working copy)
+++ x11-toolkits/motif/Makefile.man	(working copy)
@@ -711,8 +711,9 @@
 	XmVaCreateToggleButton.3 \
 	XmVaCreateToggleButtonGadget.3 \
 	XmWidgetGetDisplayRect.3
+MAN4= \
+	mwmrc.4
 MAN5= \
 	Traits.5 \
 	UIL.5 \
-	WML.5 \
-	mwmrc.5
+	WML.5
Index: x11-toolkits/motif/distinfo
===================================================================
--- x11-toolkits/motif/distinfo	(working copy)
+++ x11-toolkits/motif/distinfo	(working copy)
@@ -1,2 +1,2 @@
-SHA256 (openmotif/openmotif-2.3.3.tar.gz) = c85f5545e218fa0c59a3789192132d472fc5a33e914a221a568eee4fc10cd103
-SIZE (openmotif/openmotif-2.3.3.tar.gz) = 6051202
+SHA256 (motif-2.3.4-src.tgz) = 637efa09608e0b8f93465dbeb7c92e58ebb14c4bc1b488040eb79a65af3efbe0
+SIZE (motif-2.3.4-src.tgz) = 9527040
Index: x11-toolkits/motif/files/patch-Makefile.in
===================================================================
--- x11-toolkits/motif/files/patch-Makefile.in	(revision 306626)
+++ x11-toolkits/motif/files/patch-Makefile.in	(working copy)
@@ -1,11 +0,0 @@
---- Makefile.in.orig	2010-03-12 17:45:02.000000000 +0300
-+++ Makefile.in	2011-01-16 00:21:21.000000000 +0300
-@@ -289,7 +289,7 @@
-              tools \
-              clients \
-              doc \
--             demos
-+             ${DEMOS}
- 
- AUTOMAKE_OPTIONS = 1.4
- ACLOCAL_AMFLAGS = -I .
Index: x11-toolkits/motif/files/patch-clients::mwm::Makefile.in
===================================================================
--- x11-toolkits/motif/files/patch-clients::mwm::Makefile.in	(revision 306626)
+++ x11-toolkits/motif/files/patch-clients::mwm::Makefile.in	(working copy)
@@ -1,10 +0,0 @@
---- clients/mwm/Makefile.in.orig	2010-03-12 17:44:20.000000000 +0300
-+++ clients/mwm/Makefile.in	2011-01-16 00:23:47.000000000 +0300
-@@ -314,6 +314,7 @@
-            -DBITMAPDIR=\"@INCDIR@/bitmaps\" \
-            -DMWMRCDIR=\"$(MWMRCDIR)\" \
-            -I$(top_builddir)/lib \
-+           -DLIBDIR=\"@LIBDIR@\" \
-            -I$(srcdir)/../../lib ${X_CFLAGS}
- 
- SRCS1 = WmCDInfo.c	WmCDecor.c	WmCEvent.c\
Index: x11-toolkits/motif/files/patch-clients__uil__UilDefI.h
===================================================================
--- x11-toolkits/motif/files/patch-clients__uil__UilDefI.h	(working copy)
+++ x11-toolkits/motif/files/patch-clients__uil__UilDefI.h	(working copy)
@@ -1,11 +1,11 @@
---- clients/uil/UilDefI.h.orig	2011-01-16 01:16:45.000000000 +0300
-+++ clients/uil/UilDefI.h	2011-01-16 01:17:35.000000000 +0300
-@@ -283,7 +283,7 @@
+--- clients/uil/UilDefI.h.orig	2012-10-22 07:50:39.000000000 -0700
++++ clients/uil/UilDefI.h	2012-10-26 15:18:31.064731493 -0700
+@@ -270,7 +270,7 @@
  #include "UilIODef.h"
  #include "UilDiagDef.h"
  #include "UilSarDef.h"
--#if defined(linux)
-+#if defined(linux) || defined(__FreeBSD__)
+-#if defined(linux) || defined(__APPLE__)
++#if defined(linux) || defined(__APPLE__) || defined(__FreeBSD__)
  #define YYSTYPE yystype
  #endif
  #include "UilLexPars.h"
Index: x11-toolkits/motif/files/patch-demos::programs::Makefile.in
===================================================================
--- x11-toolkits/motif/files/patch-demos::programs::Makefile.in	(revision 306626)
+++ x11-toolkits/motif/files/patch-demos::programs::Makefile.in	(working copy)
@@ -1,10 +0,0 @@
---- demos/programs/Makefile.in.orig	2010-03-12 17:44:37.000000000 +0300
-+++ demos/programs/Makefile.in	2011-01-16 00:29:46.000000000 +0300
-@@ -261,7 +261,6 @@
-          popups \
-          sampler2_0 \
-          setdate \
--         Exm \
-          todo \
-          workspace \
-          hellomotifi18n \
Index: x11-toolkits/motif/files/patch-doc::man::Makefile.in
===================================================================
--- x11-toolkits/motif/files/patch-doc::man::Makefile.in	(revision 306626)
+++ x11-toolkits/motif/files/patch-doc::man::Makefile.in	(working copy)
@@ -1,11 +0,0 @@
---- doc/man/Makefile.in.orig	2010-03-12 17:44:56.000000000 +0300
-+++ doc/man/Makefile.in	2011-01-16 00:36:46.000000000 +0300
-@@ -245,7 +245,7 @@
- top_builddir = @top_builddir@
- top_srcdir = @top_srcdir@
- MAINTAINERCLEANFILES = Makefile.in
--SUBDIRS = man1 man3 man4 man5
-+SUBDIRS = man1 man3 man5
- all: all-recursive
- 
- .SUFFIXES:
Index: x11-toolkits/motif/files/patch-doc::man::man5::Makefile.in
===================================================================
--- x11-toolkits/motif/files/patch-doc::man::man5::Makefile.in	(revision 306626)
+++ x11-toolkits/motif/files/patch-doc::man::man5::Makefile.in	(working copy)
@@ -1,11 +0,0 @@
---- doc/man/man5/Makefile.in.orig	2011-01-16 02:23:56.000000000 +0300
-+++ doc/man/man5/Makefile.in	2011-01-16 02:24:21.000000000 +0300
-@@ -234,7 +234,8 @@
- man_MANS = \
-     Traits.5 \
-     UIL.5 \
--    WML.5
-+    WML.5 \
-+    mwmrc.5
- 
- all: all-am
Index: x11-toolkits/motif/files/patch-ltmain.sh
===================================================================
--- x11-toolkits/motif/files/patch-ltmain.sh	(revision 306626)
+++ x11-toolkits/motif/files/patch-ltmain.sh	(working copy)
@@ -1,15 +0,0 @@
---- ltmain.sh.orig	2009-12-02 18:09:01.000000000 +0300
-+++ ltmain.sh	2011-01-16 00:51:04.000000000 +0300
-@@ -2077,10 +2077,12 @@
- 	fi
- 
- 	# Install the pseudo-library for information purposes.
-+	if /usr/bin/false; then
- 	func_basename "$file"
- 	name="$func_basename_result"
- 	instname="$dir/$name"i
- 	func_show_eval "$install_prog $instname $destdir/$name" 'exit $?'
-+	fi
- 
- 	# Maybe install the static library, too.
- 	test -n "$old_library" && staticlibs="$staticlibs $dir/$old_library"
Index: x11-toolkits/motif/pkg-plist
===================================================================
--- x11-toolkits/motif/pkg-plist	(working copy)
+++ x11-toolkits/motif/pkg-plist	(working copy)
@@ -352,8 +352,290 @@
 lib/libXm.la
 lib/libXm.so
 lib/libXm.so.4
+man/manm/exm_in_c.man
+man/manm/simpleDemo.man
+share/Xm/ButtonBox/Imakefile
+share/Xm/ButtonBox/bboxdemo
+share/Xm/ButtonBox/bboxdemo.c
+share/Xm/Color/Imakefile
+share/Xm/Color/colordemo
+share/Xm/Color/colordemo.c
+share/Xm/Color/util-c.c
+share/Xm/Column/Column.ad
+share/Xm/Column/Imakefile
+share/Xm/Column/column
+share/Xm/Column/column.c
+share/Xm/Exm/app_in_c/exm_in_c
+share/Xm/Exm/simple_app/README
+share/Xm/Exm/simple_app/simpleDemo
+share/Xm/Ext18list/Imakefile
+share/Xm/Ext18list/callbacks-c.c
+share/Xm/Ext18list/creation.c
+share/Xm/Ext18list/ext18list
+share/Xm/Ext18list/ext18list.c
+share/Xm/Ext18list/extlist.h
+share/Xm/Ext18list/pixmaps/clown.xbm
+share/Xm/Ext18list/pixmaps/crab.xpm
+share/Xm/Ext18list/pixmaps/eye.xpm
+share/Xm/Ext18list/pixmaps/porsche.xpm
+share/Xm/Ext18list/pixmaps/stopsign.xpm
+share/Xm/Ext18list/util-c.c
+share/Xm/Icon/Imakefile
+share/Xm/Icon/iconbuttondemo
+share/Xm/Icon/iconbuttondemo.c
+share/Xm/Icon/misc.c
+share/Xm/Icon/small.bm
+share/Xm/Outline/Imakefile
+share/Xm/Outline/outline
+share/Xm/Outline/outline.c
+share/Xm/Paned2/Imakefile
+share/Xm/Paned2/creation-c.c
+share/Xm/Paned2/paned
+share/Xm/Paned2/paned.c
+share/Xm/Tabstack/Imakefile
+share/Xm/Tabstack/bxutils.c
+share/Xm/Tabstack/callbacks.c
+share/Xm/Tabstack/creation.c
+share/Xm/Tabstack/creation.h
+share/Xm/Tabstack/main.c
+share/Xm/Tabstack/tabstack
+share/Xm/Tree/Imakefile
+share/Xm/Tree/bxutil-c.c
+share/Xm/Tree/tree
+share/Xm/Tree/tree.c
+share/Xm/airport/Imakefile
+share/Xm/airport/README
+share/Xm/airport/XmdAirport.ad
+share/Xm/airport/airport
+share/Xm/airport/airport.h
+share/Xm/airport/dragsource.c
+share/Xm/airport/dragsource.h
+share/Xm/airport/dropsite.c
+share/Xm/airport/dropsite.h
+share/Xm/airport/main.c
+share/Xm/airport/main.h
+share/Xm/animate/Imakefile
+share/Xm/animate/README
+share/Xm/animate/XmdAnimate.ad
+share/Xm/animate/animate.help
+share/Xm/animate/animate.man
+share/Xm/animate/dog.uid
+share/Xm/animate/dog.uil
+share/Xm/animate/plane.uid
+share/Xm/animate/plane.uil
+share/Xm/animate/superman.uid
+share/Xm/animate/superman.uil
+share/Xm/animate/superman1.xbm
+share/Xm/animate/superman2.xbm
+share/Xm/animate/superman3.xbm
+share/Xm/animate/superman4.xbm
+share/Xm/animate/superman5.xbm
+share/Xm/animate/superman6.xbm
+share/Xm/animate/xmanimate
+share/Xm/animate/xmanimate.c
+share/Xm/animate/xmanimate.man
+share/Xm/animate/xmanimate.uid
+share/Xm/animate/xmanimate.uil
+share/Xm/autopopups/Imakefile
+share/Xm/autopopups/README
+share/Xm/autopopups/autopopups
+share/Xm/autopopups/autopopups.c
+share/Xm/autopopups/autopopups.man
+share/Xm/combo2/Combo.ad
+share/Xm/combo2/Imakefile
+share/Xm/combo2/combo
+share/Xm/combo2/combo.c
+share/Xm/drag_and_drop/DNDDemo
+share/Xm/drag_and_drop/DNDDemo.c
+share/Xm/drag_and_drop/DNDDemo.man
+share/Xm/drag_and_drop/DNDDraw.c
+share/Xm/drag_and_drop/Imakefile
+share/Xm/drag_and_drop/README
+share/Xm/drag_and_drop/simpledrop
+share/Xm/drag_and_drop/simpledrop.c
+share/Xm/drag_and_drop/simpledrop.man
+share/Xm/draw/Imakefile
+share/Xm/draw/README
+share/Xm/draw/XmdDraw.ad
+share/Xm/draw/draw
+share/Xm/draw/draw.c
+share/Xm/draw/draw.help
+share/Xm/draw/draw.man
+share/Xm/earth/Imakefile
+share/Xm/earth/README
+share/Xm/earth/earth
+share/Xm/earth/earth.c
+share/Xm/earth/earth.man
+share/Xm/earth/terre.xbm
+share/Xm/filemanager/Imakefile
+share/Xm/filemanager/XmdFilemanager.ad
+share/Xm/filemanager/actions.c
+share/Xm/filemanager/code.xpm
+share/Xm/filemanager/convert.c
+share/Xm/filemanager/dir.xpm
+share/Xm/filemanager/exec.xpm
+share/Xm/filemanager/file.xpm
+share/Xm/filemanager/filemanager
+share/Xm/filemanager/filemanager.c
+share/Xm/filemanager/filemanager.h
+share/Xm/filemanager/filemanager.help
+share/Xm/filemanager/filemanager.man
+share/Xm/filemanager/interface.c
+share/Xm/filemanager/none.xpm
+share/Xm/filemanager/obj.xpm
+share/Xm/filemanager/pix.xpm
+share/Xm/filemanager/readdir.c
+share/Xm/filemanager/s_dir.xpm
+share/Xm/filemanager/s_exec.xpm
+share/Xm/filemanager/s_file.xpm
+share/Xm/filemanager/s_none.xpm
+share/Xm/filemanager/s_pix.xpm
+share/Xm/fileview/English.df
+share/Xm/fileview/English.uid
+share/Xm/fileview/English.uil
+share/Xm/fileview/Fileview.ad
+share/Xm/fileview/French.df
+share/Xm/fileview/French.uid
+share/Xm/fileview/French.uil
+share/Xm/fileview/German.df
+share/Xm/fileview/German.uid
+share/Xm/fileview/German.uil
+share/Xm/fileview/README
+share/Xm/fileview/file.c
+share/Xm/fileview/file.h
+share/Xm/fileview/fileE.h
+share/Xm/fileview/fileview
+share/Xm/fileview/fileview.h
+share/Xm/fileview/main.c
+share/Xm/fileview/main.h
+share/Xm/fileview/mainE.h
+share/Xm/fileview/text.c
+share/Xm/fileview/text.h
+share/Xm/fileview/textE.h
+share/Xm/fontsel/Imakefile
+share/Xm/fontsel/callbacks-c.c
+share/Xm/fontsel/creation-c.c
+share/Xm/fontsel/fontsel
+share/Xm/fontsel/fontsel.c
+share/Xm/fontsel/fontsel.h
+share/Xm/getsubres/Imakefile
+share/Xm/getsubres/README
+share/Xm/getsubres/getsubres
+share/Xm/getsubres/getsubres.c
+share/Xm/getsubres/getsubres.help
+share/Xm/getsubres/getsubres.man
+share/Xm/helloint/Imakefile
+share/Xm/helloint/README
+share/Xm/helloint/helloint
+share/Xm/helloint/helloint.c
+share/Xm/helloint/helloint.man
+share/Xm/helloint/helloint.uid
+share/Xm/helloint/helloint.uil
+share/Xm/hellomotif/Imakefile
+share/Xm/hellomotif/README
+share/Xm/hellomotif/hellomotif
+share/Xm/hellomotif/hellomotif.c
+share/Xm/hellomotif/hellomotif.uid
+share/Xm/hellomotif/hellomotif.uil
+share/Xm/i18ninput/Imakefile
+share/Xm/i18ninput/README
+share/Xm/i18ninput/XmdI18nInput.ad
+share/Xm/i18ninput/i18ninput
+share/Xm/i18ninput/i18ninput.c
+share/Xm/i18ninput/i18ninput.help
+share/Xm/i18ninput/i18ninput.man
+share/Xm/i18ninput/input.c
+share/Xm/panner/Imakefile
+share/Xm/panner/README
+share/Xm/panner/panner
+share/Xm/panner/panner.c
+share/Xm/panner/panner.man
+share/Xm/periodic/Imakefile
+share/Xm/periodic/README
+share/Xm/periodic/XmdPeriodic.ad
+share/Xm/periodic/periodic
+share/Xm/periodic/periodic.c
+share/Xm/periodic/periodic.uid
+share/Xm/periodic/periodic.uil
+share/Xm/periodic/periodic_l.uil
+share/Xm/piano/Imakefile
+share/Xm/piano/Inv8_part1.piano
+share/Xm/piano/Inv8_part2.piano
+share/Xm/piano/README
+share/Xm/piano/piano
+share/Xm/piano/piano.c
+share/Xm/piano/piano.images
+share/Xm/piano/piano.man
+share/Xm/pixmaps/clown.xbm
+share/Xm/pixmaps/crab.xpm
+share/Xm/pixmaps/eye.xpm
+share/Xm/pixmaps/porsche.xpm
+share/Xm/pixmaps/stopsign.xpm
+share/Xm/sampler2_0/Imakefile
+share/Xm/sampler2_0/README
+share/Xm/sampler2_0/XmdSampler2_0.ad
+share/Xm/sampler2_0/bee.xpm
+share/Xm/sampler2_0/bomb.xpm
+share/Xm/sampler2_0/cherry.xpm
+share/Xm/sampler2_0/da.xpm
+share/Xm/sampler2_0/girlface.xpm
+share/Xm/sampler2_0/k7.xpm
+share/Xm/sampler2_0/labir.xpm
+share/Xm/sampler2_0/main.xpm
+share/Xm/sampler2_0/pile.xpm
+share/Xm/sampler2_0/prev.xpm
+share/Xm/sampler2_0/sampler2_0
+share/Xm/sampler2_0/sampler2_0.c
+share/Xm/sampler2_0/sampler2_0.help
+share/Xm/sampler2_0/sampler2_0.man
+share/Xm/sampler2_0/spir.xpm
+share/Xm/sampler2_0/stack.xpm
+share/Xm/sampler2_0/text.xpm
+share/Xm/setDate/Imakefile
+share/Xm/setDate/README
+share/Xm/setDate/XmdSetDate.ad
+share/Xm/setDate/setDate
+share/Xm/setDate/setDate.c
+share/Xm/setDate/setDate.man
+share/Xm/todo/Imakefile
+share/Xm/todo/README
+share/Xm/todo/XmdTodo.ad
+share/Xm/todo/actions.c
+share/Xm/todo/example.todo
+share/Xm/todo/io.c
+share/Xm/todo/page.h
+share/Xm/todo/todo
+share/Xm/todo/todo.c
+share/Xm/todo/todo.help
+share/Xm/todo/todo.man
+share/Xm/tooltips/Imakefile
+share/Xm/tooltips/tooltips
+share/Xm/tooltips/tooltips.c
+share/Xm/wsm/Imakefile
+share/Xm/wsm/README
+share/Xm/wsm/client_win.c
+share/Xm/wsm/command_ui.c
+share/Xm/wsm/command_ui.h
+share/Xm/wsm/wsm
+share/Xm/wsm/wsm.c
+share/Xm/wsm/wsm.h
+share/Xm/wsm/wsm.man
+share/Xm/wsm/wsmData.c
+share/Xm/wsm/wsmData.h
+share/Xm/wsm/wsmDebug.c
+share/Xm/wsm/wsmDebug.h
+share/Xm/wsm/wsmSend.c
+share/Xm/wsm/wsmSend.h
+share/Xm/wsm/wsmStruct.c
+share/Xm/wsm/wsmStruct.h
+share/Xm/wsm/wsm_cb.c
+share/Xm/wsm/wsm_cb.h
+share/Xm/wsm/wsm_create.c
+share/Xm/wsm/wsm_create.h
+share/Xm/wsm/wsm_ui.h
+share/Xm/wsm/xrmLib.c
+share/Xm/wsm/xrmLib.h
 %%MANUALS%%%%DOCSDIR%%/BUGREPORT
-%%MANUALS%%%%DOCSDIR%%/COPYRIGHT.MOTIF
 %%MANUALS%%%%DOCSDIR%%/README
 %%MANUALS%%%%DOCSDIR%%/RELNOTES
 %%MANUALS%%@dirrm %%DOCSDIR%%
@@ -375,3 +657,41 @@
 @dirrm include/uil
 @dirrm include/Xm
 @dirrm include/Mrm
+@dirrm share/Xm/wsm
+@dirrm share/Xm/tooltips
+@dirrm share/Xm/todo
+@dirrm share/Xm/setDate
+@dirrm share/Xm/sampler2_0
+@dirrm share/Xm/pixmaps
+@dirrm share/Xm/piano
+@dirrm share/Xm/periodic
+@dirrm share/Xm/panner
+@dirrm share/Xm/i18ninput
+@dirrm share/Xm/hellomotif
+@dirrm share/Xm/helloint
+@dirrm share/Xm/getsubres
+@dirrm share/Xm/fontsel
+@dirrm share/Xm/fileview
+@dirrm share/Xm/filemanager
+@dirrm share/Xm/earth
+@dirrm share/Xm/draw
+@dirrm share/Xm/drag_and_drop
+@dirrm share/Xm/combo2
+@dirrm share/Xm/autopopups
+@dirrm share/Xm/animate
+@dirrm share/Xm/airport
+@dirrm share/Xm/Tree
+@dirrm share/Xm/Tabstack
+@dirrm share/Xm/Paned2
+@dirrm share/Xm/Outline
+@dirrm share/Xm/Icon
+@dirrm share/Xm/Ext18list/pixmaps
+@dirrm share/Xm/Ext18list
+@dirrm share/Xm/Exm/simple_app
+@dirrm share/Xm/Exm/app_in_c
+@dirrm share/Xm/Exm
+@dirrm share/Xm/Column
+@dirrm share/Xm/Color
+@dirrm share/Xm/ButtonBox
+@dirrm share/Xm
+@dirrmtry man/manm
Index: x11-toolkits/open-motif/Makefile
===================================================================
--- x11-toolkits/open-motif/Makefile	(revision 306626)
+++ x11-toolkits/open-motif/Makefile	(working copy)
@@ -1,180 +0,0 @@
-# ex:ts=8
-# New ports collection makefile for:	motif
-# Date created:		5 December 1994
-# Whom:			asami
-#
-# $FreeBSD$
-#
-
-PORTNAME=	open-motif
-PORTVERSION=	2.3.3
-PORTREVISION=	2
-CATEGORIES=	x11-toolkits
-MASTER_SITES=	ftp://ftp.ics.com/openmotif/${PORTVERSION:C/^([0-9]+\.[0-9]+).*/\1/}/${PORTVERSION}/
-DISTNAME=	openmotif-${PORTVERSION}
-DIST_SUBDIR=	openmotif
-
-MAINTAINER=	m.tsatsenko@gmail.com
-COMMENT=	Motif X11 Toolkit (industry standard GUI (IEEE 1295))
-
-LIB_DEPENDS=	png15:${PORTSDIR}/graphics/png \
-		jpeg.11:${PORTSDIR}/graphics/jpeg
-
-MAKE_JOBS_UNSAFE=	yes
-CONFLICTS=	lesstif-[0-9]*
-
-USE_AUTOTOOLS=	libtool
-USE_ICONV=	yes
-USE_GMAKE=	yes
-USE_XORG=	xaw xbitmaps xft
-GNU_CONFIGURE=	yes
-USE_LDCONFIG=	yes
-MAKE_ENV=	LANG=C
-CPPFLAGS+=	-DCSRG_BASED -DXUSE_MTSAFE_API -DXNO_MTSAFE_PWDAPI -I${PREFIX}/include
-USE_CSTD=	gnu89
-
-DEMOS_SRC=	${WRKSRC}/demos/programs
-
-.ifdef USE_MOTIF
-.error You have `USE_MOTIF' variable defined either in environment or in make(1) arguments. Please undefine and try again.
-.endif
-
-.if defined(WITH_JDK_PATCH)
-
-PKGNAMESUFFIX=	-jdk
-WITHOUT_OPENMOTIF_MANUALS=	YES
-
-.if exists(${WITH_JDK_PATCH})
-EXTRA_PATCHES+=	${WITH_JDK_PATCH}
-.else
-.error "wrong WITH_JDK_PATCH value"
-.endif
-
-.endif
-
-.include <bsd.port.pre.mk>
-
-.if ${ARCH} == "amd64" || ${ARCH} == "sparc64"
-CONFIGURE_ARGS+=	--with-pic
-.endif
-
-# User config option: Build and install Motif demos
-.if defined(WITH_OPENMOTIF_DEMOS)
-MAKE_ENV+=	DEMOS="demos"
-PLIST_SUB+=	MOTIF_DEMOS=""
-.else
-PLIST_SUB+=	MOTIF_DEMOS="@comment "
-.endif
-
-# User config option: Build and install Motif manuals
-.if !defined(WITHOUT_OPENMOTIF_MANUALS)
-.include "${.CURDIR}/Makefile.man"
-PLIST_SUB+=	MANUALS=""
-.else
-PLIST_SUB+=	MANUALS="@comment "
-.endif
-
-post-patch:
-	@${FIND} ${DEMOS_SRC} -name "Makefile.in" | ${XARGS} ${REINPLACE_CMD} -e \
-		's|^install-data-am: |install-data-am: # |g'
-# fix sections
-	@${FIND} ${WRKSRC}/doc/man/man1 -name '*.1' -maxdepth 1 | \
-		${XARGS} ${REINPLACE_CMD} -e 's|user cmd|1|'
-	@${FIND} ${WRKSRC}/doc/man/man3 -name '*.3' -maxdepth 1 | \
-		${XARGS} ${REINPLACE_CMD} -e 's|library call|3|'
-# mwmrc is not a kernel interface!!
-	@cd ${WRKSRC}/doc/man && ${CP} -f man4/mwmrc.4 man5/mwmrc.5
-	@${FIND} ${WRKSRC}/doc/man/man5 -name '*.5' -maxdepth 1 | \
-		${XARGS} ${REINPLACE_CMD} -e 's|special file|5| ; \
-		 s|file formats|5|'
-	@${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|' \
-		-e '/-dumpversion/{ s/==/=/; s/gcc/$$CC/; }' \
-		${WRKSRC}/configure
-
-post-install:
-.if defined(WITH_OPENMOTIF_DEMOS)
-	${INSTALL_DATA} ${DEMOS_SRC}/Column/Column.ad \
-		${PREFIX}/lib/X11/app-defaults/Column
-	${INSTALL_DATA} ${DEMOS_SRC}/DropDown/DropDown.ad \
-		${PREFIX}/lib/X11/app-defaults/DropDown
-	${INSTALL_DATA} ${DEMOS_SRC}/airport/XmdAirport.ad \
-		${PREFIX}/lib/X11/app-defaults/XmdAirport
-	${INSTALL_DATA} ${DEMOS_SRC}/animate/XmdAnimate.ad \
-		${PREFIX}/lib/X11/app-defaults/XmdAnimate
-	${INSTALL_DATA} ${DEMOS_SRC}/draw/XmdDraw.ad \
-		${PREFIX}/lib/X11/app-defaults/XmdDraw
-	${INSTALL_DATA} ${DEMOS_SRC}/filemanager/XmdFilemanager.ad \
-		${PREFIX}/lib/X11/app-defaults/XmdFilemanager
-	${INSTALL_DATA} ${DEMOS_SRC}/fileview/Fileview.ad \
-		${PREFIX}/lib/X11/app-defaults/Fileview
-	${INSTALL_DATA} ${DEMOS_SRC}/i18ninput/XmdI18nInput.ad \
-		${PREFIX}/lib/X11/app-defaults/XmdI18nInput
-	${INSTALL_DATA} ${DEMOS_SRC}/periodic/XmdPeriodic.ad \
-		${PREFIX}/lib/X11/app-defaults/XmdPeriodic
-	${INSTALL_DATA} ${DEMOS_SRC}/sampler2_0/XmdSampler2_0.ad \
-		${PREFIX}/lib/X11/app-defaults/XmdSampler2_0
-	${INSTALL_DATA} ${DEMOS_SRC}/setdate/XmdSetDate.ad \
-		${PREFIX}/lib/X11/app-defaults/XmdSetDate
-	${INSTALL_DATA} ${DEMOS_SRC}/todo/XmdTodo.ad \
-		${PREFIX}/lib/X11/app-defaults/XmdTodo
-	@${MKDIR} ${PREFIX}/lib/X11/help
-.for i in animate draw filemanager getsubres i18ninput sampler2_0 todo
-	${INSTALL_DATA} ${DEMOS_SRC}/${i}/${i}.help \
-		${PREFIX}/lib/X11/help/${i}.help
-.endfor
-	@${MKDIR} ${PREFIX}/lib/X11/uid
-	${INSTALL_DATA} ${DEMOS_SRC}/animate/dog.uid \
-		${PREFIX}/lib/X11/uid/dog.uid
-	${INSTALL_DATA} ${DEMOS_SRC}/animate/plane.uid \
-		${PREFIX}/lib/X11/uid/plane.uid
-	${INSTALL_DATA} ${DEMOS_SRC}/animate/superman.uid \
-		${PREFIX}/lib/X11/uid/superman.uid
-	${INSTALL_DATA} ${DEMOS_SRC}/animate/xmanimate.uid \
-		${PREFIX}/lib/X11/uid/xmanimate.uid
-	${INSTALL_DATA} ${DEMOS_SRC}/fileview/English.uid \
-		${PREFIX}/lib/X11/uid/English.uid
-	${INSTALL_DATA} ${DEMOS_SRC}/fileview/French.uid \
-		${PREFIX}/lib/X11/uid/French.uid
-	${INSTALL_DATA} ${DEMOS_SRC}/fileview/German.uid \
-		${PREFIX}/lib/X11/uid/German.uid
-	${INSTALL_DATA} ${DEMOS_SRC}/hellomotif/hellomotif.uid \
-		${PREFIX}/lib/X11/uid/hellomotif.uid
-	${INSTALL_DATA} ${DEMOS_SRC}/periodic/periodic.uid \
-		${PREFIX}/lib/X11/uid/periodic.uid
-	@${MKDIR} ${PREFIX}/lib/X11/uid/C/uid
-	${INSTALL_DATA} ${DEMOS_SRC}/hellomotifi18n/C/uid/l_strings.uid \
-		${PREFIX}/lib/X11/uid/C/uid/l_strings.uid
-	@${MKDIR} ${PREFIX}/lib/X11/uid/english/uid
-	${INSTALL_DATA} ${DEMOS_SRC}/hellomotifi18n/english/uid/l_strings.uid \
-		${PREFIX}/lib/X11/uid/english/uid/l_strings.uid
-	@${MKDIR} ${PREFIX}/lib/X11/uid/french/uid
-	${INSTALL_DATA} ${DEMOS_SRC}/hellomotifi18n/french/uid/l_strings.uid \
-		${PREFIX}/lib/X11/uid/french/uid/l_strings.uid
-	@${MKDIR} ${PREFIX}/lib/X11/uid/hebrew/uid
-	${INSTALL_DATA} ${DEMOS_SRC}/hellomotifi18n/hebrew/uid/l_strings.uid \
-		${PREFIX}/lib/X11/uid/hebrew/uid/l_strings.uid
-	@${MKDIR} ${PREFIX}/lib/X11/uid/japanese/uid
-	${INSTALL_DATA} ${DEMOS_SRC}/hellomotifi18n/japanese/uid/l_strings.uid \
-		${PREFIX}/lib/X11/uid/japanese/uid/l_strings.uid
-	@${MKDIR} ${PREFIX}/lib/X11/uid/swedish/uid
-	${INSTALL_DATA} ${DEMOS_SRC}/hellomotifi18n/swedish/uid/l_strings.uid \
-		${PREFIX}/lib/X11/uid/swedish/uid/l_strings.uid
-	${INSTALL_DATA} ${DEMOS_SRC}/hellomotifi18n/helloint.uid \
-		${PREFIX}/lib/X11/uid
-.for i in earth filemanager getsubres i18ninput panner piano sampler2_0 todo
-	${INSTALL_MAN} ${DEMOS_SRC}/${i}/${i}.man \
-		${MANPREFIX}/man/man1/${i}.1
-.endfor
-	${INSTALL_MAN} ${DEMOS_SRC}/popups/autopopups.man \
-		${MANPREFIX}/man/man1/autopopups.1
-	${INSTALL_MAN} ${DEMOS_SRC}/setdate/setDate.man \
-		${MANPREFIX}/man/man1/setDate.1
-.endif
-.if !defined(WITHOUT_OPENMOTIF_MANUALS)
-	@${MKDIR} ${DOCSDIR}
-.for i in BUGREPORT COPYRIGHT.MOTIF README RELNOTES
-	${INSTALL_DATA} ${WRKSRC}/${i} ${DOCSDIR}
-.endfor
-.endif
-
-.include <bsd.port.post.mk>
Index: x11-toolkits/open-motif/Makefile.man
===================================================================
--- x11-toolkits/open-motif/Makefile.man	(revision 306626)
+++ x11-toolkits/open-motif/Makefile.man	(working copy)
@@ -1,718 +0,0 @@
-MAN1= \
-	mwm.1 \
-	uil.1 \
-	xmbind.1
-.if defined(WITH_OPENMOTIF_DEMOS)
-MAN1+= \
-	autopopups.1 \
-	earth.1 \
-	filemanager.1 \
-	getsubres.1 \
-	i18ninput.1 \
-	panner.1 \
-	piano.1 \
-	sampler2_0.1 \
-	setDate.1 \
-	todo.1
-.endif
-MAN3= \
-	ApplicationShell.3 \
-	Composite.3 \
-	Constraint.3 \
-	Core.3 \
-	MrmCloseHierarchy.3 \
-	MrmFetchBitmapLiteral.3 \
-	MrmFetchColorLiteral.3 \
-	MrmFetchIconLiteral.3 \
-	MrmFetchLiteral.3 \
-	MrmFetchSetValues.3 \
-	MrmFetchWidget.3 \
-	MrmFetchWidgetOverride.3 \
-	MrmInitialize.3 \
-	MrmOpenHierarchy.3 \
-	MrmOpenHierarchyFromBuffer.3 \
-	MrmOpenHierarchyPerDisplay.3 \
-	MrmRegisterClass.3 \
-	MrmRegisterNames.3 \
-	MrmRegisterNamesInHierarchy.3 \
-	Object.3 \
-	OverrideShell.3 \
-	RectObj.3 \
-	Shell.3 \
-	TopLevelShell.3 \
-	TransientShell.3 \
-	Uil.3 \
-	UilDumpSymbolTable.3 \
-	VendorShell.3 \
-	VirtualBindings.3 \
-	WMShell.3 \
-	XmActivateProtocol.3 \
-	XmActivateWMProtocol.3 \
-	XmAddProtocolCallback.3 \
-	XmAddProtocols.3 \
-	XmAddTabGroup.3 \
-	XmAddToPostFromList.3 \
-	XmAddWMProtocolCallback.3 \
-	XmAddWMProtocols.3 \
-	XmArrowButton.3 \
-	XmArrowButtonGadget.3 \
-	XmBulletinBoard.3 \
-	XmButtonBox.3 \
-	XmCascadeButton.3 \
-	XmCascadeButtonGadget.3 \
-	XmCascadeButtonGadgetHighlight.3 \
-	XmCascadeButtonHighlight.3 \
-	XmChangeColor.3 \
-	XmClipboardCancelCopy.3 \
-	XmClipboardCopy.3 \
-	XmClipboardCopyByName.3 \
-	XmClipboardEndCopy.3 \
-	XmClipboardEndRetrieve.3 \
-	XmClipboardInquireCount.3 \
-	XmClipboardInquireFormat.3 \
-	XmClipboardInquireLength.3 \
-	XmClipboardInquirePendingItems.3 \
-	XmClipboardLock.3 \
-	XmClipboardRegisterFormat.3 \
-	XmClipboardRetrieve.3 \
-	XmClipboardStartCopy.3 \
-	XmClipboardStartRetrieve.3 \
-	XmClipboardUndoCopy.3 \
-	XmClipboardUnlock.3 \
-	XmClipboardWithdrawFormat.3 \
-	XmColorSelector.3 \
-	XmColumn.3 \
-	XmComboBox.3 \
-	XmComboBoxAddItem.3 \
-	XmComboBoxDeletePos.3 \
-	XmComboBoxSelectItem.3 \
-	XmComboBoxSetItem.3 \
-	XmComboBoxUpdate.3 \
-	XmCommand.3 \
-	XmCommandAppendValue.3 \
-	XmCommandError.3 \
-	XmCommandGetChild.3 \
-	XmCommandSetValue.3 \
-	XmContainer.3 \
-	XmContainerCopy.3 \
-	XmContainerCopyLink.3 \
-	XmContainerCut.3 \
-	XmContainerGetItemChildren.3 \
-	XmContainerPaste.3 \
-	XmContainerPasteLink.3 \
-	XmContainerRelayout.3 \
-	XmContainerReorder.3 \
-	XmConvertStringToUnits.3 \
-	XmConvertUnits.3 \
-	XmCreateArrowButton.3 \
-	XmCreateArrowButtonGadget.3 \
-	XmCreateBulletinBoard.3 \
-	XmCreateBulletinBoardDialog.3 \
-	XmCreateCascadeButton.3 \
-	XmCreateCascadeButtonGadget.3 \
-	XmCreateComboBox.3 \
-	XmCreateCommand.3 \
-	XmCreateCommandDialog.3 \
-	XmCreateContainer.3 \
-	XmCreateDialogShell.3 \
-	XmCreateDragIcon.3 \
-	XmCreateDrawingArea.3 \
-	XmCreateDrawnButton.3 \
-	XmCreateDropDown.3 \
-	XmCreateDropDownComboBox.3 \
-	XmCreateDropDownList.3 \
-	XmCreateErrorDialog.3 \
-	XmCreateFileSelectionBox.3 \
-	XmCreateFileSelectionDialog.3 \
-	XmCreateForm.3 \
-	XmCreateFormDialog.3 \
-	XmCreateFrame.3 \
-	XmCreateIconGadget.3 \
-	XmCreateInformationDialog.3 \
-	XmCreateLabel.3 \
-	XmCreateLabelGadget.3 \
-	XmCreateList.3 \
-	XmCreateMainWindow.3 \
-	XmCreateMenuBar.3 \
-	XmCreateMenuShell.3 \
-	XmCreateMessageBox.3 \
-	XmCreateMessageDialog.3 \
-	XmCreateNotebook.3 \
-	XmCreateOptionMenu.3 \
-	XmCreatePanedWindow.3 \
-	XmCreatePopupMenu.3 \
-	XmCreatePromptDialog.3 \
-	XmCreatePulldownMenu.3 \
-	XmCreatePushButton.3 \
-	XmCreatePushButtonGadget.3 \
-	XmCreateQuestionDialog.3 \
-	XmCreateRadioBox.3 \
-	XmCreateRowColumn.3 \
-	XmCreateScale.3 \
-	XmCreateScrollBar.3 \
-	XmCreateScrolledList.3 \
-	XmCreateScrolledText.3 \
-	XmCreateScrolledWindow.3 \
-	XmCreateSelectionBox.3 \
-	XmCreateSelectionDialog.3 \
-	XmCreateSeparator.3 \
-	XmCreateSeparatorGadget.3 \
-	XmCreateSimpleCheckBox.3 \
-	XmCreateSimpleMenuBar.3 \
-	XmCreateSimpleOptionMenu.3 \
-	XmCreateSimplePopupMenu.3 \
-	XmCreateSimplePulldownMenu.3 \
-	XmCreateSimpleRadioBox.3 \
-	XmCreateSimpleSpinBox.3 \
-	XmCreateSpinBox.3 \
-	XmCreateTemplateDialog.3 \
-	XmCreateText.3 \
-	XmCreateTextField.3 \
-	XmCreateToggleButton.3 \
-	XmCreateToggleButtonGadget.3 \
-	XmCreateWarningDialog.3 \
-	XmCreateWorkArea.3 \
-	XmCreateWorkingDialog.3 \
-	XmCvtByteStreamToXmString.3 \
-	XmCvtCTToXmString.3 \
-	XmCvtStringToUnitType.3 \
-	XmCvtTextPropertyToXmStringTable.3 \
-	XmCvtXmStringTableToTextProperty.3 \
-	XmCvtXmStringToByteStream.3 \
-	XmCvtXmStringToCT.3 \
-	XmDataField.3 \
-	XmDeactivateProtocol.3 \
-	XmDeactivateWMProtocol.3 \
-	XmDestroyPixmap.3 \
-	XmDialogShell.3 \
-	XmDirection.3 \
-	XmDirectionMatch.3 \
-	XmDirectionMatchPartial.3 \
-	XmDirectionToStringDirection.3 \
-	XmDisplay.3 \
-	XmDragCancel.3 \
-	XmDragContext.3 \
-	XmDragIcon.3 \
-	XmDragStart.3 \
-	XmDrawingArea.3 \
-	XmDrawnButton.3 \
-	XmDropDown.3 \
-	XmDropSite.3 \
-	XmDropSiteConfigureStackingOrder.3 \
-	XmDropSiteEndUpdate.3 \
-	XmDropSiteQueryStackingOrder.3 \
-	XmDropSiteRegister.3 \
-	XmDropSiteRegistered.3 \
-	XmDropSiteRetrieve.3 \
-	XmDropSiteStartUpdate.3 \
-	XmDropSiteUnregister.3 \
-	XmDropSiteUpdate.3 \
-	XmDropTransfer.3 \
-	XmDropTransferAdd.3 \
-	XmDropTransferStart.3 \
-	XmFileSelectionBox.3 \
-	XmFileSelectionBoxGetChild.3 \
-	XmFileSelectionDoSearch.3 \
-	XmFontList.3 \
-	XmFontListAdd.3 \
-	XmFontListAppendEntry.3 \
-	XmFontListCopy.3 \
-	XmFontListCreate.3 \
-	XmFontListEntryCreate.3 \
-	XmFontListEntryFree.3 \
-	XmFontListEntryGetFont.3 \
-	XmFontListEntryGetTag.3 \
-	XmFontListEntryLoad.3 \
-	XmFontListFree.3 \
-	XmFontListFreeFontContext.3 \
-	XmFontListGetNextFont.3 \
-	XmFontListInitFontContext.3 \
-	XmFontListNextEntry.3 \
-	XmFontListRemoveEntry.3 \
-	XmFontSelector.3 \
-	XmForm.3 \
-	XmFrame.3 \
-	XmGadget.3 \
-	XmGetAtomName.3 \
-	XmGetColorCalculation.3 \
-	XmGetColors.3 \
-	XmGetDestination.3 \
-	XmGetDragContext.3 \
-	XmGetFocusWidget.3 \
-	XmGetMenuCursor.3 \
-	XmGetPixmap.3 \
-	XmGetPixmapByDepth.3 \
-	XmGetPostedFromWidget.3 \
-	XmGetScaledPixmap.3 \
-	XmGetSecondaryResourceData.3 \
-	XmGetTabGroup.3 \
-	XmGetTearOffControl.3 \
-	XmGetVisibility.3 \
-	XmGetXmDisplay.3 \
-	XmGetXmScreen.3 \
-	XmIconBox.3 \
-	XmIconButton.3 \
-	XmIconGadget.3 \
-	XmImCloseXIM.3 \
-	XmImFreeXIC.3 \
-	XmImGetXIC.3 \
-	XmImGetXIM.3 \
-	XmImMbLookupString.3 \
-	XmImMbResetIC.3 \
-	XmImRegister.3 \
-	XmImSetFocusValues.3 \
-	XmImSetValues.3 \
-	XmImSetXIC.3 \
-	XmImUnregister.3 \
-	XmImUnsetFocus.3 \
-	XmImVaSetFocusValues.3 \
-	XmImVaSetValues.3 \
-	XmInstallImage.3 \
-	XmInternAtom.3 \
-	XmIsMotifWMRunning.3 \
-	XmIsTraversable.3 \
-	XmLabel.3 \
-	XmLabelGadget.3 \
-	XmList.3 \
-	XmListAddItem.3 \
-	XmListAddItemUnselected.3 \
-	XmListAddItems.3 \
-	XmListAddItemsUnselected.3 \
-	XmListDeleteAllItems.3 \
-	XmListDeleteItem.3 \
-	XmListDeleteItems.3 \
-	XmListDeleteItemsPos.3 \
-	XmListDeletePos.3 \
-	XmListDeletePositions.3 \
-	XmListDeselectAllItems.3 \
-	XmListDeselectItem.3 \
-	XmListDeselectPos.3 \
-	XmListGetKbdItemPos.3 \
-	XmListGetMatchPos.3 \
-	XmListGetSelectedPos.3 \
-	XmListItemExists.3 \
-	XmListItemPos.3 \
-	XmListPosSelected.3 \
-	XmListPosToBounds.3 \
-	XmListReplaceItems.3 \
-	XmListReplaceItemsPos.3 \
-	XmListReplaceItemsPosUnselected.3 \
-	XmListReplaceItemsUnselected.3 \
-	XmListReplacePositions.3 \
-	XmListSelectItem.3 \
-	XmListSelectPos.3 \
-	XmListSetAddMode.3 \
-	XmListSetBottomItem.3 \
-	XmListSetBottomPos.3 \
-	XmListSetHorizPos.3 \
-	XmListSetItem.3 \
-	XmListSetKbdItemPos.3 \
-	XmListSetPos.3 \
-	XmListUpdateSelectedList.3 \
-	XmListYToPos.3 \
-	XmMainWindow.3 \
-	XmMainWindowSep1.3 \
-	XmMainWindowSep2.3 \
-	XmMainWindowSep3.3 \
-	XmMainWindowSetAreas.3 \
-	XmManager.3 \
-	XmMapSegmentEncoding.3 \
-	XmMenuPosition.3 \
-	XmMenuShell.3 \
-	XmMessageBox.3 \
-	XmMessageBoxGetChild.3 \
-	XmMultiList.3 \
-	XmMultiListDeselectRow.3 \
-	XmMultiListGetSelectedRowArray.3 \
-	XmMultiListGetSelectedRows.3 \
-	XmMultiListMakeRowVisible.3 \
-	XmMultiListSelectAllItems.3 \
-	XmMultiListSelectItems.3 \
-	XmMultiListSelectRow.3 \
-	XmMultiListToggleRow.3 \
-	XmNotebook.3 \
-	XmNotebookGetPageInfo.3 \
-	XmObjectAtPoint.3 \
-	XmOptionButtonGadget.3 \
-	XmOptionLabelGadget.3 \
-	XmPanedWindow.3 \
-	XmParseMapping.3 \
-	XmParseMappingCreate.3 \
-	XmParseMappingFree.3 \
-	XmParseMappingGetValues.3 \
-	XmParseMappingSetValues.3 \
-	XmParseTable.3 \
-	XmParseTableFree.3 \
-	XmPrimitive.3 \
-	XmPrintPopupPDM.3 \
-	XmPrintSetup.3 \
-	XmPrintShell.3 \
-	XmPrintToFile.3 \
-	XmProcessTraversal.3 \
-	XmPushButton.3 \
-	XmPushButtonGadget.3 \
-	XmRedisplayWidget.3 \
-	XmRegisterSegmentEncoding.3 \
-	XmRemoveFromPostFromList.3 \
-	XmRemoveProtocolCallback.3 \
-	XmRemoveProtocols.3 \
-	XmRemoveTabGroup.3 \
-	XmRemoveWMProtocolCallback.3 \
-	XmRemoveWMProtocols.3 \
-	XmRenderTable.3 \
-	XmRenderTableAddRenditions.3 \
-	XmRenderTableCopy.3 \
-	XmRenderTableCvtFromProp.3 \
-	XmRenderTableCvtToProp.3 \
-	XmRenderTableFree.3 \
-	XmRenderTableGetRendition.3 \
-	XmRenderTableGetRenditions.3 \
-	XmRenderTableGetTags.3 \
-	XmRenderTableRemoveRenditions.3 \
-	XmRendition.3 \
-	XmRenditionCreate.3 \
-	XmRenditionFree.3 \
-	XmRenditionRetrieve.3 \
-	XmRenditionUpdate.3 \
-	XmRepTypeAddReverse.3 \
-	XmRepTypeGetId.3 \
-	XmRepTypeGetNameList.3 \
-	XmRepTypeGetRecord.3 \
-	XmRepTypeGetRegistered.3 \
-	XmRepTypeInstallTearOffModelConverter.3 \
-	XmRepTypeRegister.3 \
-	XmRepTypeValidValue.3 \
-	XmResolveAllPartOffsets.3 \
-	XmResolvePartOffsets.3 \
-	XmRowColumn.3 \
-	XmScale.3 \
-	XmScaleGetValue.3 \
-	XmScaleSetTicks.3 \
-	XmScaleSetValue.3 \
-	XmScreen.3 \
-	XmScrollBar.3 \
-	XmScrollBarGetValues.3 \
-	XmScrollBarSetValues.3 \
-	XmScrollVisible.3 \
-	XmScrolledWindow.3 \
-	XmScrolledWindowSetAreas.3 \
-	XmSelectionBox.3 \
-	XmSelectionBoxGetChild.3 \
-	XmSeparator.3 \
-	XmSeparatorGadget.3 \
-	XmSetColorCalculation.3 \
-	XmSetFontUnit.3 \
-	XmSetFontUnits.3 \
-	XmSetMenuCursor.3 \
-	XmSetProtocolHooks.3 \
-	XmSetWMProtocolHooks.3 \
-	XmSimpleSpinBox.3 \
-	XmSimpleSpinBoxAddItem.3 \
-	XmSimpleSpinBoxDeletePos.3 \
-	XmSimpleSpinBoxSetItem.3 \
-	XmSlideContext.3 \
-	XmSpinBox.3 \
-	XmSpinBoxValidatePosition.3 \
-	XmString.3 \
-	XmStringBaseline.3 \
-	XmStringByteCompare.3 \
-	XmStringByteStreamLength.3 \
-	XmStringCompare.3 \
-	XmStringComponentCreate.3 \
-	XmStringComponentType.3 \
-	XmStringConcat.3 \
-	XmStringConcatAndFree.3 \
-	XmStringCopy.3 \
-	XmStringCreate.3 \
-	XmStringCreateLocalized.3 \
-	XmStringCreateLtoR.3 \
-	XmStringCreateSimple.3 \
-	XmStringDirection.3 \
-	XmStringDirectionCreate.3 \
-	XmStringDirectionToDirection.3 \
-	XmStringDraw.3 \
-	XmStringDrawImage.3 \
-	XmStringDrawUnderline.3 \
-	XmStringEmpty.3 \
-	XmStringExtent.3 \
-	XmStringFree.3 \
-	XmStringFreeContext.3 \
-	XmStringGenerate.3 \
-	XmStringGetLtoR.3 \
-	XmStringGetNextComponent.3 \
-	XmStringGetNextSegment.3 \
-	XmStringGetNextTriple.3 \
-	XmStringHasSubstring.3 \
-	XmStringHeight.3 \
-	XmStringInitContext.3 \
-	XmStringIsVoid.3 \
-	XmStringLength.3 \
-	XmStringLineCount.3 \
-	XmStringNConcat.3 \
-	XmStringNCopy.3 \
-	XmStringParseText.3 \
-	XmStringPeekNextComponent.3 \
-	XmStringPeekNextTriple.3 \
-	XmStringPutRendition.3 \
-	XmStringSegmentCreate.3 \
-	XmStringSeparatorCreate.3 \
-	XmStringTable.3 \
-	XmStringTableParseStringArray.3 \
-	XmStringTableProposeTablist.3 \
-	XmStringTableToXmString.3 \
-	XmStringTableUnparse.3 \
-	XmStringToXmStringTable.3 \
-	XmStringUnparse.3 \
-	XmStringWidth.3 \
-	XmTab.3 \
-	XmTabCreate.3 \
-	XmTabFree.3 \
-	XmTabGetValues.3 \
-	XmTabList.3 \
-	XmTabListCopy.3 \
-	XmTabListFree.3 \
-	XmTabListGetTab.3 \
-	XmTabListInsertTabs.3 \
-	XmTabListRemoveTabs.3 \
-	XmTabListReplacePositions.3 \
-	XmTabListTabCount.3 \
-	XmTabSetValue.3 \
-	XmTabStack.3 \
-	XmTargetsAreCompatible.3 \
-	XmText.3 \
-	XmTextClearSelection.3 \
-	XmTextCopy.3 \
-	XmTextCopyLink.3 \
-	XmTextCut.3 \
-	XmTextDisableRedisplay.3 \
-	XmTextEnableRedisplay.3 \
-	XmTextField.3 \
-	XmTextFieldClearSelection.3 \
-	XmTextFieldCopy.3 \
-	XmTextFieldCopyLink.3 \
-	XmTextFieldCut.3 \
-	XmTextFieldGetBaseline.3 \
-	XmTextFieldGetEditable.3 \
-	XmTextFieldGetInsertionPosition.3 \
-	XmTextFieldGetLastPosition.3 \
-	XmTextFieldGetMaxLength.3 \
-	XmTextFieldGetSelection.3 \
-	XmTextFieldGetSelectionPosition.3 \
-	XmTextFieldGetSelectionWcs.3 \
-	XmTextFieldGetString.3 \
-	XmTextFieldGetStringWcs.3 \
-	XmTextFieldGetSubstring.3 \
-	XmTextFieldGetSubstringWcs.3 \
-	XmTextFieldInsert.3 \
-	XmTextFieldInsertWcs.3 \
-	XmTextFieldPaste.3 \
-	XmTextFieldPasteLink.3 \
-	XmTextFieldPosToXY.3 \
-	XmTextFieldRemove.3 \
-	XmTextFieldReplace.3 \
-	XmTextFieldReplaceWcs.3 \
-	XmTextFieldSetAddMode.3 \
-	XmTextFieldSetEditable.3 \
-	XmTextFieldSetHighlight.3 \
-	XmTextFieldSetInsertionPosition.3 \
-	XmTextFieldSetMaxLength.3 \
-	XmTextFieldSetSelection.3 \
-	XmTextFieldSetString.3 \
-	XmTextFieldSetStringWcs.3 \
-	XmTextFieldShowPosition.3 \
-	XmTextFieldXYToPos.3 \
-	XmTextFindString.3 \
-	XmTextFindStringWcs.3 \
-	XmTextGetBaseline.3 \
-	XmTextGetCenterline.3 \
-	XmTextGetEditable.3 \
-	XmTextGetInsertionPosition.3 \
-	XmTextGetLastPosition.3 \
-	XmTextGetMaxLength.3 \
-	XmTextGetSelection.3 \
-	XmTextGetSelectionPosition.3 \
-	XmTextGetSelectionWcs.3 \
-	XmTextGetSource.3 \
-	XmTextGetString.3 \
-	XmTextGetStringWcs.3 \
-	XmTextGetSubstring.3 \
-	XmTextGetSubstringWcs.3 \
-	XmTextGetTopCharacter.3 \
-	XmTextInsert.3 \
-	XmTextInsertWcs.3 \
-	XmTextPaste.3 \
-	XmTextPasteLink.3 \
-	XmTextPosToXY.3 \
-	XmTextPosition.3 \
-	XmTextRemove.3 \
-	XmTextReplace.3 \
-	XmTextReplaceWcs.3 \
-	XmTextScroll.3 \
-	XmTextSetAddMode.3 \
-	XmTextSetEditable.3 \
-	XmTextSetHighlight.3 \
-	XmTextSetInsertionPosition.3 \
-	XmTextSetMaxLength.3 \
-	XmTextSetSelection.3 \
-	XmTextSetSource.3 \
-	XmTextSetString.3 \
-	XmTextSetStringWcs.3 \
-	XmTextSetTopCharacter.3 \
-	XmTextShowPosition.3 \
-	XmTextXYToPos.3 \
-	XmToggleButton.3 \
-	XmToggleButtonGadget.3 \
-	XmToggleButtonGadgetGetState.3 \
-	XmToggleButtonGadgetSetState.3 \
-	XmToggleButtonGetState.3 \
-	XmToggleButtonSetState.3 \
-	XmToggleButtonSetValue.3 \
-	XmTrackingEvent.3 \
-	XmTrackingLocate.3 \
-	XmTransferDone.3 \
-	XmTransferSendRequest.3 \
-	XmTransferSetParameters.3 \
-	XmTransferStartRequest.3 \
-	XmTransferValue.3 \
-	XmTranslateKey.3 \
-	XmTree.3 \
-	XmUninstallImage.3 \
-	XmUpdateDisplay.3 \
-	XmVaCreateSimpleCheckBox.3 \
-	XmVaCreateSimpleMenuBar.3 \
-	XmVaCreateSimpleOptionMenu.3 \
-	XmVaCreateSimplePopupMenu.3 \
-	XmVaCreateSimplePulldownMenu.3 \
-	XmVaCreateSimpleRadioBox.3 \
-	XmWidgetGetBaselines.3 \
-	XmCreateButtonBox.3 \
-	XmCreateCombinationBox2.3 \
-	XmCreateHierarchy.3 \
-	XmCreateOutline.3 \
-	XmDataFieldCopy.3 \
-	XmDataFieldCut.3 \
-	XmDataFieldGetSelection.3 \
-	XmDataFieldGetSelectionPosition.3 \
-	XmDataFieldGetString.3 \
-	XmDataFieldGetStringWcs.3 \
-	XmDataFieldPaste.3 \
-	XmDataFieldSetAddMode.3 \
-	XmDataFieldSetEditable.3 \
-	XmDataFieldSetHighlight.3 \
-	XmDataFieldSetInsertionPosition.3 \
-	XmDataFieldSetSelection.3 \
-	XmDataFieldSetString.3 \
-	XmDataFieldXYToPos.3 \
-	XmDropDownGetChild.3 \
-	XmExt18List.3 \
-	XmHierarchy.3 \
-	XmHierarchyGetChildNodes.3 \
-	XmHierarchyOpenAllAncestors.3 \
-	XmIconBoxIsCellEmpty.3 \
-	XmMultiListDeselectItems.3 \
-	XmMultiListUnselectAllItems.3 \
-	XmMultiListUnselectItem.3 \
-	XmOutline.3 \
-	XmPaned.3 \
-	XmPanedGetPanes.3 \
-	XmTabStackGetSelectedTab.3 \
-	XmTabStackSelectTab.3 \
-	XmTabStackXYToWidget.3 \
-	XmVaCreateArrowButton.3 \
-	XmVaCreateArrowButtonGadget.3 \
-	XmVaCreateBulletinBoard.3 \
-	XmVaCreateButtonBox.3 \
-	XmVaCreateCascadeButton.3 \
-	XmVaCreateCascadeButtonGadget.3 \
-	XmVaCreateColorSelector.3 \
-	XmVaCreateColumn.3 \
-	XmVaCreateCombinationBox2.3 \
-	XmVaCreateComboBox.3 \
-	XmVaCreateCommand.3 \
-	XmVaCreateContainer.3 \
-	XmVaCreateDataField.3 \
-	XmVaCreateDrawingArea.3 \
-	XmVaCreateDrawnButton.3 \
-	XmVaCreateDropDown.3 \
-	XmVaCreateExt18List.3 \
-	XmVaCreateFileSelectionBox.3 \
-	XmVaCreateForm.3 \
-	XmVaCreateFrame.3 \
-	XmVaCreateHierarchy.3 \
-	XmVaCreateIconGadget.3 \
-	XmVaCreateLabel.3 \
-	XmVaCreateLabelGadget.3 \
-	XmVaCreateList.3 \
-	XmVaCreateMainWindow.3 \
-	XmVaCreateManagedArrowButton.3 \
-	XmVaCreateManagedArrowButtonGadget.3 \
-	XmVaCreateManagedBulletinBoard.3 \
-	XmVaCreateManagedButtonBox.3 \
-	XmVaCreateManagedCascadeButton.3 \
-	XmVaCreateManagedCascadeButtonGadget.3 \
-	XmVaCreateManagedColorSelector.3 \
-	XmVaCreateManagedColumn.3 \
-	XmVaCreateManagedCombinationBox2.3 \
-	XmVaCreateManagedComboBox.3 \
-	XmVaCreateManagedCommand.3 \
-	XmVaCreateManagedContainer.3 \
-	XmVaCreateManagedDataField.3 \
-	XmVaCreateManagedDrawingArea.3 \
-	XmVaCreateManagedDrawnButton.3 \
-	XmVaCreateManagedDropDown.3 \
-	XmVaCreateManagedExt18List.3 \
-	XmVaCreateManagedFileSelectionBox.3 \
-	XmVaCreateManagedForm.3 \
-	XmVaCreateManagedFrame.3 \
-	XmVaCreateManagedHierarchy.3 \
-	XmVaCreateManagedIconGadget.3 \
-	XmVaCreateManagedLabel.3 \
-	XmVaCreateManagedLabelGadget.3 \
-	XmVaCreateManagedList.3 \
-	XmVaCreateManagedMainWindow.3 \
-	XmVaCreateManagedMessageBox.3 \
-	XmVaCreateManagedMultiList.3 \
-	XmVaCreateManagedNotebook.3 \
-	XmVaCreateManagedOutline.3 \
-	XmVaCreateManagedPanedWindow.3 \
-	XmVaCreateManagedPushButton.3 \
-	XmVaCreateManagedPushButtonGadget.3 \
-	XmVaCreateManagedRowColumn.3 \
-	XmVaCreateManagedScale.3 \
-	XmVaCreateManagedScrollBar.3 \
-	XmVaCreateManagedScrolledWindow.3 \
-	XmVaCreateManagedSelectionBox.3 \
-	XmVaCreateManagedSeparatorGadget.3 \
-	XmVaCreateManagedSimpleSpinBox.3 \
-	XmVaCreateManagedSpinBox.3 \
-	XmVaCreateManagedTabStack.3 \
-	XmVaCreateManagedText.3 \
-	XmVaCreateManagedTextField.3 \
-	XmVaCreateManagedToggleButton.3 \
-	XmVaCreateManagedToggleButtonGadget.3 \
-	XmVaCreateMessageBox.3 \
-	XmVaCreateMultiList.3 \
-	XmVaCreateNotebook.3 \
-	XmVaCreateOutline.3 \
-	XmVaCreatePanedWindow.3 \
-	XmVaCreatePushButton.3 \
-	XmVaCreatePushButtonGadget.3 \
-	XmVaCreateRowColumn.3 \
-	XmVaCreateScale.3 \
-	XmVaCreateScrollBar.3 \
-	XmVaCreateScrolledWindow.3 \
-	XmVaCreateSelectionBox.3 \
-	XmVaCreateSeparatorGadget.3 \
-	XmVaCreateSimpleSpinBox.3 \
-	XmVaCreateSpinBox.3 \
-	XmVaCreateTabStack.3 \
-	XmVaCreateText.3 \
-	XmVaCreateTextField.3 \
-	XmVaCreateToggleButton.3 \
-	XmVaCreateToggleButtonGadget.3 \
-	XmWidgetGetDisplayRect.3
-MAN5= \
-	Traits.5 \
-	UIL.5 \
-	WML.5 \
-	mwmrc.5
Index: x11-toolkits/open-motif/distinfo
===================================================================
--- x11-toolkits/open-motif/distinfo	(revision 306626)
+++ x11-toolkits/open-motif/distinfo	(working copy)
@@ -1,2 +0,0 @@
-SHA256 (openmotif/openmotif-2.3.3.tar.gz) = c85f5545e218fa0c59a3789192132d472fc5a33e914a221a568eee4fc10cd103
-SIZE (openmotif/openmotif-2.3.3.tar.gz) = 6051202
Index: x11-toolkits/open-motif/files/patch-Makefile.in
===================================================================
--- x11-toolkits/open-motif/files/patch-Makefile.in	(revision 306626)
+++ x11-toolkits/open-motif/files/patch-Makefile.in	(working copy)
@@ -1,11 +0,0 @@
---- Makefile.in.orig	2010-03-12 17:45:02.000000000 +0300
-+++ Makefile.in	2011-01-16 00:21:21.000000000 +0300
-@@ -289,7 +289,7 @@
-              tools \
-              clients \
-              doc \
--             demos
-+             ${DEMOS}
- 
- AUTOMAKE_OPTIONS = 1.4
- ACLOCAL_AMFLAGS = -I .
Index: x11-toolkits/open-motif/files/patch-clients::mwm::Makefile.in
===================================================================
--- x11-toolkits/open-motif/files/patch-clients::mwm::Makefile.in	(revision 306626)
+++ x11-toolkits/open-motif/files/patch-clients::mwm::Makefile.in	(working copy)
@@ -1,10 +0,0 @@
---- clients/mwm/Makefile.in.orig	2010-03-12 17:44:20.000000000 +0300
-+++ clients/mwm/Makefile.in	2011-01-16 00:23:47.000000000 +0300
-@@ -314,6 +314,7 @@
-            -DBITMAPDIR=\"@INCDIR@/bitmaps\" \
-            -DMWMRCDIR=\"$(MWMRCDIR)\" \
-            -I$(top_builddir)/lib \
-+           -DLIBDIR=\"@LIBDIR@\" \
-            -I$(srcdir)/../../lib ${X_CFLAGS}
- 
- SRCS1 = WmCDInfo.c	WmCDecor.c	WmCEvent.c\
Index: x11-toolkits/open-motif/files/patch-clients__uil__UilDefI.h
===================================================================
--- x11-toolkits/open-motif/files/patch-clients__uil__UilDefI.h	(revision 306626)
+++ x11-toolkits/open-motif/files/patch-clients__uil__UilDefI.h	(working copy)
@@ -1,11 +0,0 @@
---- clients/uil/UilDefI.h.orig	2011-01-16 01:16:45.000000000 +0300
-+++ clients/uil/UilDefI.h	2011-01-16 01:17:35.000000000 +0300
-@@ -283,7 +283,7 @@
- #include "UilIODef.h"
- #include "UilDiagDef.h"
- #include "UilSarDef.h"
--#if defined(linux)
-+#if defined(linux) || defined(__FreeBSD__)
- #define YYSTYPE yystype
- #endif
- #include "UilLexPars.h"
Index: x11-toolkits/open-motif/files/patch-demos::programs::Makefile.in
===================================================================
--- x11-toolkits/open-motif/files/patch-demos::programs::Makefile.in	(revision 306626)
+++ x11-toolkits/open-motif/files/patch-demos::programs::Makefile.in	(working copy)
@@ -1,10 +0,0 @@
---- demos/programs/Makefile.in.orig	2010-03-12 17:44:37.000000000 +0300
-+++ demos/programs/Makefile.in	2011-01-16 00:29:46.000000000 +0300
-@@ -261,7 +261,6 @@
-          popups \
-          sampler2_0 \
-          setdate \
--         Exm \
-          todo \
-          workspace \
-          hellomotifi18n \
Index: x11-toolkits/open-motif/files/patch-doc::man::Makefile.in
===================================================================
--- x11-toolkits/open-motif/files/patch-doc::man::Makefile.in	(revision 306626)
+++ x11-toolkits/open-motif/files/patch-doc::man::Makefile.in	(working copy)
@@ -1,11 +0,0 @@
---- doc/man/Makefile.in.orig	2010-03-12 17:44:56.000000000 +0300
-+++ doc/man/Makefile.in	2011-01-16 00:36:46.000000000 +0300
-@@ -245,7 +245,7 @@
- top_builddir = @top_builddir@
- top_srcdir = @top_srcdir@
- MAINTAINERCLEANFILES = Makefile.in
--SUBDIRS = man1 man3 man4 man5
-+SUBDIRS = man1 man3 man5
- all: all-recursive
- 
- .SUFFIXES:
Index: x11-toolkits/open-motif/files/patch-doc::man::man5::Makefile.in
===================================================================
--- x11-toolkits/open-motif/files/patch-doc::man::man5::Makefile.in	(revision 306626)
+++ x11-toolkits/open-motif/files/patch-doc::man::man5::Makefile.in	(working copy)
@@ -1,11 +0,0 @@
---- doc/man/man5/Makefile.in.orig	2011-01-16 02:23:56.000000000 +0300
-+++ doc/man/man5/Makefile.in	2011-01-16 02:24:21.000000000 +0300
-@@ -234,7 +234,8 @@
- man_MANS = \
-     Traits.5 \
-     UIL.5 \
--    WML.5
-+    WML.5 \
-+    mwmrc.5
- 
- all: all-am
Index: x11-toolkits/open-motif/files/patch-lib::Xm::ColorS.c
===================================================================
--- x11-toolkits/open-motif/files/patch-lib::Xm::ColorS.c	(revision 306626)
+++ x11-toolkits/open-motif/files/patch-lib::Xm::ColorS.c	(working copy)
@@ -1,22 +0,0 @@
---- lib/Xm/ColorS.c.orig	2005-12-17 16:54:03.000000000 +0300
-+++ lib/Xm/ColorS.c	2011-01-16 00:48:05.000000000 +0300
-@@ -41,6 +41,10 @@
- 
- #define SUPERCLASS ((WidgetClass) &xmManagerClassRec)
- 
-+#ifndef LIBDIR
-+#define LIBDIR "/usr/local/lib/X11"
-+#endif
-+
- /************************************************************
-  *       MACROS
-  ************************************************************/
-@@ -131,7 +135,7 @@
-   {
-     XmNrgbFile, XmCString, XmRString,
-     sizeof(String), XtOffsetOf(XmColorSelectorRec, cs.rgb_file),
--    XmRString, (XtPointer) "/usr/lib/X11/rgb.txt"
-+    XmRString, (XtPointer) LIBDIR"/rgb.txt"
-   },
- #endif
-   {
Index: x11-toolkits/open-motif/files/patch-ltmain.sh
===================================================================
--- x11-toolkits/open-motif/files/patch-ltmain.sh	(revision 306626)
+++ x11-toolkits/open-motif/files/patch-ltmain.sh	(working copy)
@@ -1,15 +0,0 @@
---- ltmain.sh.orig	2009-12-02 18:09:01.000000000 +0300
-+++ ltmain.sh	2011-01-16 00:51:04.000000000 +0300
-@@ -2077,10 +2077,12 @@
- 	fi
- 
- 	# Install the pseudo-library for information purposes.
-+	if /usr/bin/false; then
- 	func_basename "$file"
- 	name="$func_basename_result"
- 	instname="$dir/$name"i
- 	func_show_eval "$install_prog $instname $destdir/$name" 'exit $?'
-+	fi
- 
- 	# Maybe install the static library, too.
- 	test -n "$old_library" && staticlibs="$staticlibs $dir/$old_library"
Index: x11-toolkits/open-motif/pkg-descr
===================================================================
--- x11-toolkits/open-motif/pkg-descr	(revision 306626)
+++ x11-toolkits/open-motif/pkg-descr	(working copy)
@@ -1,25 +0,0 @@
-Motif(r) is the industry standard graphical user interface, (as defined by
-the IEEE 1295 specification), used on more than 200 hardware and software
-platforms.  It provides application developers, end users, and system
-vendors with the industry's most widely used environment for standardizing
-application presentation on a wide range of platforms.  Motif is the
-leading user interface toolkit for the UNIX(r) system.
-
-Here is what you might ask.  (excerpted from The Open Group FAQ)
-
-  Q:  What is Open Motif? How does it differ from standard Motif?
-
-  A:  Aside from some different copyright and license statements, both
-  Motif and Open Motif share the same functionality and source code.  The
-  primary difference is the software license for each of the software
-  products. Open Motif source code and binaries can be distributed royalty
-  free under The Open Group Public License as long as the operating system
-  upon which Open Motif is running meets the OSI's Open Source Definition.
-  Motif is made available under the standard Open Group software licenses
-  and requires the payment of source code and royalty fees.
-  
-NOTE: Some ports with GNU configure do not know that Motif 2.1 requires -lXp.
-In that case, you need to edit Makefile after configure, or, hack
-configure(.in) before configure.
-
-WWW: http://www.opengroup.org/openmotif/
Index: x11-toolkits/open-motif/pkg-plist
===================================================================
--- x11-toolkits/open-motif/pkg-plist	(revision 306626)
+++ x11-toolkits/open-motif/pkg-plist	(working copy)
@@ -1,377 +0,0 @@
-%%MOTIF_DEMOS%%bin/DNDDemo
-%%MOTIF_DEMOS%%bin/airport
-%%MOTIF_DEMOS%%bin/autopopups
-%%MOTIF_DEMOS%%bin/bboxdemo
-%%MOTIF_DEMOS%%bin/colordemo
-%%MOTIF_DEMOS%%bin/column
-%%MOTIF_DEMOS%%bin/draw
-%%MOTIF_DEMOS%%bin/dropdown
-%%MOTIF_DEMOS%%bin/earth
-%%MOTIF_DEMOS%%bin/filemanager
-%%MOTIF_DEMOS%%bin/fileview
-%%MOTIF_DEMOS%%bin/fontsel
-%%MOTIF_DEMOS%%bin/getsubres
-%%MOTIF_DEMOS%%bin/helloint
-%%MOTIF_DEMOS%%bin/hellomotif
-%%MOTIF_DEMOS%%bin/i18ninput
-%%MOTIF_DEMOS%%bin/iconbuttondemo
-%%MOTIF_DEMOS%%bin/multilist
-bin/mwm
-%%MOTIF_DEMOS%%bin/outline
-%%MOTIF_DEMOS%%bin/paned
-%%MOTIF_DEMOS%%bin/panner
-%%MOTIF_DEMOS%%bin/periodic
-%%MOTIF_DEMOS%%bin/piano
-%%MOTIF_DEMOS%%bin/sampler2_0
-%%MOTIF_DEMOS%%bin/setDate
-%%MOTIF_DEMOS%%bin/simpledrop
-%%MOTIF_DEMOS%%bin/tabstack
-%%MOTIF_DEMOS%%bin/todo
-%%MOTIF_DEMOS%%bin/tooltips
-%%MOTIF_DEMOS%%bin/tree
-bin/uil
-%%MOTIF_DEMOS%%bin/wsm
-%%MOTIF_DEMOS%%bin/xmanimate
-bin/xmbind
-include/Mrm/MrmAppl.h
-include/Mrm/MrmDecls.h
-include/Mrm/MrmPublic.h
-include/Mrm/MrmosI.h
-include/X11/bitmaps/xm_error
-include/X11/bitmaps/xm_hour16
-include/X11/bitmaps/xm_hour16m
-include/X11/bitmaps/xm_hour32
-include/X11/bitmaps/xm_hour32m
-include/X11/bitmaps/xm_information
-include/X11/bitmaps/xm_noenter16
-include/X11/bitmaps/xm_noenter16m
-include/X11/bitmaps/xm_noenter32
-include/X11/bitmaps/xm_noenter32m
-include/X11/bitmaps/xm_question
-include/X11/bitmaps/xm_warning
-include/X11/bitmaps/xm_working
-include/Xm/AccColorT.h
-include/Xm/AccTextT.h
-include/Xm/ActivatableT.h
-include/Xm/ArrowB.h
-include/Xm/ArrowBG.h
-include/Xm/ArrowBGP.h
-include/Xm/ArrowBP.h
-include/Xm/AtomMgr.h
-include/Xm/BaseClassP.h
-include/Xm/BulletinB.h
-include/Xm/BulletinBP.h
-include/Xm/ButtonBox.h
-include/Xm/ButtonBoxP.h
-include/Xm/CacheP.h
-include/Xm/CareVisualT.h
-include/Xm/CascadeB.h
-include/Xm/CascadeBG.h
-include/Xm/CascadeBGP.h
-include/Xm/CascadeBP.h
-include/Xm/ClipWindowP.h
-include/Xm/ColorObjP.h
-include/Xm/ColorP.h
-include/Xm/ColorS.h
-include/Xm/ColorSP.h
-include/Xm/Column.h
-include/Xm/ColumnP.h
-include/Xm/ComboBox.h
-include/Xm/ComboBox2.h
-include/Xm/ComboBox2P.h
-include/Xm/ComboBoxP.h
-include/Xm/Command.h
-include/Xm/CommandP.h
-include/Xm/ContItemT.h
-include/Xm/Container.h
-include/Xm/ContainerP.h
-include/Xm/ContainerT.h
-include/Xm/CutPaste.h
-include/Xm/DataF.h
-include/Xm/DataFP.h
-include/Xm/DataFSelP.h
-include/Xm/DesktopP.h
-include/Xm/DialogS.h
-include/Xm/DialogSEP.h
-include/Xm/DialogSP.h
-include/Xm/DialogSavvyT.h
-include/Xm/Display.h
-include/Xm/DisplayP.h
-include/Xm/DragC.h
-include/Xm/DragCP.h
-include/Xm/DragDrop.h
-include/Xm/DragIcon.h
-include/Xm/DragIconP.h
-include/Xm/DragOverS.h
-include/Xm/DragOverSP.h
-include/Xm/DrawP.h
-include/Xm/DrawUtils.h
-include/Xm/DrawingA.h
-include/Xm/DrawingAP.h
-include/Xm/DrawnB.h
-include/Xm/DrawnBP.h
-include/Xm/DropDown.h
-include/Xm/DropDownP.h
-include/Xm/DropSMgr.h
-include/Xm/DropSMgrP.h
-include/Xm/DropTrans.h
-include/Xm/DropTransP.h
-include/Xm/Ext.h
-include/Xm/Ext18List.h
-include/Xm/Ext18ListP.h
-include/Xm/ExtObjectP.h
-include/Xm/ExtP.h
-include/Xm/FileSB.h
-include/Xm/FileSBP.h
-include/Xm/FontS.h
-include/Xm/FontSP.h
-include/Xm/Form.h
-include/Xm/FormP.h
-include/Xm/Frame.h
-include/Xm/FrameP.h
-include/Xm/Gadget.h
-include/Xm/GadgetP.h
-include/Xm/GrabShell.h
-include/Xm/GrabShellP.h
-include/Xm/Hierarchy.h
-include/Xm/HierarchyP.h
-include/Xm/IconBox.h
-include/Xm/IconBoxP.h
-include/Xm/IconButton.h
-include/Xm/IconButtonP.h
-include/Xm/IconFile.h
-include/Xm/IconFileP.h
-include/Xm/IconG.h
-include/Xm/IconGP.h
-include/Xm/IconH.h
-include/Xm/IconHP.h
-include/Xm/JoinSideT.h
-include/Xm/Label.h
-include/Xm/LabelG.h
-include/Xm/LabelGP.h
-include/Xm/LabelP.h
-include/Xm/LayoutT.h
-include/Xm/List.h
-include/Xm/ListP.h
-include/Xm/MainW.h
-include/Xm/MainWP.h
-include/Xm/Manager.h
-include/Xm/ManagerP.h
-include/Xm/MenuProcP.h
-include/Xm/MenuShell.h
-include/Xm/MenuShellP.h
-include/Xm/MenuStateP.h
-include/Xm/MenuT.h
-include/Xm/MenuUtilP.h
-include/Xm/MessageB.h
-include/Xm/MessageBP.h
-include/Xm/MultiList.h
-include/Xm/MultiListP.h
-include/Xm/MwmUtil.h
-include/Xm/NavigatorT.h
-include/Xm/Notebook.h
-include/Xm/NotebookP.h
-include/Xm/Outline.h
-include/Xm/OutlineP.h
-include/Xm/Paned.h
-include/Xm/PanedP.h
-include/Xm/PanedW.h
-include/Xm/PanedWP.h
-include/Xm/Picture.h
-include/Xm/PictureP.h
-include/Xm/PointInT.h
-include/Xm/Primitive.h
-include/Xm/PrimitiveP.h
-include/Xm/Print.h
-include/Xm/PrintSP.h
-include/Xm/Protocols.h
-include/Xm/ProtocolsP.h
-include/Xm/PushB.h
-include/Xm/PushBG.h
-include/Xm/PushBGP.h
-include/Xm/PushBP.h
-include/Xm/RCLayoutP.h
-include/Xm/RCMenuP.h
-include/Xm/RepType.h
-include/Xm/RowColumn.h
-include/Xm/RowColumnP.h
-include/Xm/SSpinB.h
-include/Xm/SSpinBP.h
-include/Xm/SashP.h
-include/Xm/Scale.h
-include/Xm/ScaleP.h
-include/Xm/Screen.h
-include/Xm/ScreenP.h
-include/Xm/ScrollBar.h
-include/Xm/ScrollBarP.h
-include/Xm/ScrollFrameT.h
-include/Xm/ScrolledW.h
-include/Xm/ScrolledWP.h
-include/Xm/SelectioB.h
-include/Xm/SelectioBP.h
-include/Xm/SeparatoG.h
-include/Xm/SeparatoGP.h
-include/Xm/Separator.h
-include/Xm/SeparatorP.h
-include/Xm/ShellEP.h
-include/Xm/SlideC.h
-include/Xm/SlideCP.h
-include/Xm/SpecRenderT.h
-include/Xm/SpinB.h
-include/Xm/SpinBP.h
-include/Xm/TabBox.h
-include/Xm/TabBoxP.h
-include/Xm/TabList.h
-include/Xm/TabStack.h
-include/Xm/TabStackP.h
-include/Xm/TakesDefT.h
-include/Xm/TearOffBP.h
-include/Xm/TearOffP.h
-include/Xm/Text.h
-include/Xm/TextF.h
-include/Xm/TextFP.h
-include/Xm/TextFSelP.h
-include/Xm/TextInP.h
-include/Xm/TextOutP.h
-include/Xm/TextP.h
-include/Xm/TextSelP.h
-include/Xm/TextStrSoP.h
-include/Xm/ToggleB.h
-include/Xm/ToggleBG.h
-include/Xm/ToggleBGP.h
-include/Xm/ToggleBP.h
-include/Xm/ToolTipCT.h
-include/Xm/ToolTipT.h
-include/Xm/XmStrDefs23.h
-include/Xm/TraitP.h
-include/Xm/Transfer.h
-include/Xm/TransferP.h
-include/Xm/TransferT.h
-include/Xm/TransltnsP.h
-include/Xm/TravConT.h
-include/Xm/Tree.h
-include/Xm/TreeP.h
-include/Xm/TxtPropCv.h
-include/Xm/UnhighlightT.h
-include/Xm/UnitTypeT.h
-include/Xm/VaSimpleP.h
-include/Xm/VendorS.h
-include/Xm/VendorSEP.h
-include/Xm/VendorSP.h
-include/Xm/VirtKeys.h
-include/Xm/VirtKeysP.h
-include/Xm/Xm.h
-include/Xm/XmAll.h
-include/Xm/XmIm.h
-include/Xm/XmP.h
-include/Xm/XmStrDefs.h
-include/Xm/XmStrDefs22.h
-include/Xm/Xmfuncs.h
-include/Xm/XmosP.h
-include/Xm/Xmos_r.h
-include/Xm/Xmpoll.h
-include/Xm/XpmP.h
-include/Xm/xmlist.h
-include/uil/Uil.h
-include/uil/UilDBDef.h
-include/uil/UilDef.h
-include/uil/UilSymDef.h
-include/uil/UilSymGl.h
-include/uil/XmAppl.uil
-%%MOTIF_DEMOS%%lib/X11/app-defaults/Column
-%%MOTIF_DEMOS%%lib/X11/app-defaults/DropDown
-%%MOTIF_DEMOS%%lib/X11/app-defaults/Fileview
-%%MOTIF_DEMOS%%lib/X11/app-defaults/XmdAirport
-%%MOTIF_DEMOS%%lib/X11/app-defaults/XmdAnimate
-%%MOTIF_DEMOS%%lib/X11/app-defaults/XmdDraw
-%%MOTIF_DEMOS%%lib/X11/app-defaults/XmdFilemanager
-%%MOTIF_DEMOS%%lib/X11/app-defaults/XmdI18nInput
-%%MOTIF_DEMOS%%lib/X11/app-defaults/XmdPeriodic
-%%MOTIF_DEMOS%%lib/X11/app-defaults/XmdSampler2_0
-%%MOTIF_DEMOS%%lib/X11/app-defaults/XmdSetDate
-%%MOTIF_DEMOS%%lib/X11/app-defaults/XmdTodo
-lib/X11/bindings/acorn
-lib/X11/bindings/apollo
-lib/X11/bindings/dec
-lib/X11/bindings/dg_AViiON
-lib/X11/bindings/doubleclick
-lib/X11/bindings/hal
-lib/X11/bindings/hitachi
-lib/X11/bindings/hp
-lib/X11/bindings/ibm
-lib/X11/bindings/intergraph
-lib/X11/bindings/intergraph17
-lib/X11/bindings/megatek
-lib/X11/bindings/motorola
-lib/X11/bindings/ncr_at
-lib/X11/bindings/ncr_vt
-lib/X11/bindings/pc
-lib/X11/bindings/sgi
-lib/X11/bindings/siemens_9733
-lib/X11/bindings/siemens_wx200
-lib/X11/bindings/sni
-lib/X11/bindings/sni_97801
-lib/X11/bindings/sony
-lib/X11/bindings/sun
-lib/X11/bindings/sun_at
-lib/X11/bindings/tek
-lib/X11/bindings/xmbind.alias
-%%MOTIF_DEMOS%%lib/X11/help/animate.help
-%%MOTIF_DEMOS%%lib/X11/help/draw.help
-%%MOTIF_DEMOS%%lib/X11/help/filemanager.help
-%%MOTIF_DEMOS%%lib/X11/help/getsubres.help
-%%MOTIF_DEMOS%%lib/X11/help/i18ninput.help
-%%MOTIF_DEMOS%%lib/X11/help/sampler2_0.help
-%%MOTIF_DEMOS%%lib/X11/help/todo.help
-lib/X11/system.mwmrc
-%%MOTIF_DEMOS%%lib/X11/uid/C/uid/l_strings.uid
-%%MOTIF_DEMOS%%lib/X11/uid/English.uid
-%%MOTIF_DEMOS%%lib/X11/uid/French.uid
-%%MOTIF_DEMOS%%lib/X11/uid/German.uid
-%%MOTIF_DEMOS%%lib/X11/uid/dog.uid
-%%MOTIF_DEMOS%%lib/X11/uid/english/uid/l_strings.uid
-%%MOTIF_DEMOS%%lib/X11/uid/french/uid/l_strings.uid
-%%MOTIF_DEMOS%%lib/X11/uid/hebrew/uid/l_strings.uid
-%%MOTIF_DEMOS%%lib/X11/uid/helloint.uid
-%%MOTIF_DEMOS%%lib/X11/uid/hellomotif.uid
-%%MOTIF_DEMOS%%lib/X11/uid/japanese/uid/l_strings.uid
-%%MOTIF_DEMOS%%lib/X11/uid/periodic.uid
-%%MOTIF_DEMOS%%lib/X11/uid/plane.uid
-%%MOTIF_DEMOS%%lib/X11/uid/superman.uid
-%%MOTIF_DEMOS%%lib/X11/uid/swedish/uid/l_strings.uid
-%%MOTIF_DEMOS%%lib/X11/uid/xmanimate.uid
-lib/libMrm.a
-lib/libMrm.la
-lib/libMrm.so
-lib/libMrm.so.4
-lib/libUil.a
-lib/libUil.la
-lib/libUil.so
-lib/libUil.so.4
-lib/libXm.a
-lib/libXm.la
-lib/libXm.so
-lib/libXm.so.4
-%%MANUALS%%%%DOCSDIR%%/BUGREPORT
-%%MANUALS%%%%DOCSDIR%%/COPYRIGHT.MOTIF
-%%MANUALS%%%%DOCSDIR%%/README
-%%MANUALS%%%%DOCSDIR%%/RELNOTES
-%%MANUALS%%@dirrm %%DOCSDIR%%
-%%MOTIF_DEMOS%%@dirrm lib/X11/uid/swedish/uid
-%%MOTIF_DEMOS%%@dirrm lib/X11/uid/swedish
-%%MOTIF_DEMOS%%@dirrm lib/X11/uid/japanese/uid
-%%MOTIF_DEMOS%%@dirrm lib/X11/uid/japanese
-%%MOTIF_DEMOS%%@dirrm lib/X11/uid/hebrew/uid
-%%MOTIF_DEMOS%%@dirrm lib/X11/uid/hebrew
-%%MOTIF_DEMOS%%@dirrm lib/X11/uid/french/uid
-%%MOTIF_DEMOS%%@dirrm lib/X11/uid/french
-%%MOTIF_DEMOS%%@dirrm lib/X11/uid/english/uid
-%%MOTIF_DEMOS%%@dirrm lib/X11/uid/english
-%%MOTIF_DEMOS%%@dirrm lib/X11/uid/C/uid
-%%MOTIF_DEMOS%%@dirrm lib/X11/uid/C
-%%MOTIF_DEMOS%%@dirrm lib/X11/uid
-%%MOTIF_DEMOS%%@dirrm lib/X11/help
-@dirrm lib/X11/bindings
-@dirrm include/uil
-@dirrm include/Xm
-@dirrm include/Mrm

Fix: 

See above.
How-To-Repeat: See above.
Comment 1 Edwin Groothuis freebsd_committer 2012-10-29 20:00:21 UTC
Maintainer of x11-toolkits/open-motif,

Please note that PR ports/173198 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/173198

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-10-29 20:00:22 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Cy Schubert freebsd_committer 2012-10-29 20:03:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cy

I will work with maintainer on this PR.
Comment 4 m.tsatsenko 2012-10-30 06:27:47 UTC
Hi,
Thanks for you work!
Unfortunately your mail program malformed the patch and it fails to
apply clearly now. Could you please upload it somewhere or send me as
attachment so I can make a more detailed look at it.

--
 Mikhail
Comment 5 Cy Schubert 2012-10-30 17:42:32 UTC
In message <201210300630.q9U6U1bl040148@freefall.freebsd.org>, Mikhail 
Tsatsenk
o writes:
> The following reply was made to PR ports/173198; it has been noted by GNATS.
> 
> From: Mikhail Tsatsenko <m.tsatsenko@gmail.com>
> To: bug-followup@freebsd.org
> Cc:  
> Subject: Re: ports/173198: [patch] Update x11-toolkits/open-motif 2.3.4 and
>  rename to motif
> Date: Tue, 30 Oct 2012 09:27:47 +0300
> 
>  Hi,
>  Thanks for you work!
>  Unfortunately your mail program malformed the patch and it fails to
>  apply clearly now. Could you please upload it somewhere or send me as
>  attachment so I can make a more detailed look at it.

Sure, here it is again encoded in MIME.


Comment 6 Cy Schubert 2012-11-06 00:34:50 UTC
In message <CAGK=9AF5Doh6oKoTV0s2qO9N4fpaaSqOx-X-VgRAbf35=qiOJg@mail.gmail.c
om>
, Mikhail Tsatsenko writes:
> --f46d042a0d551ed66f04cdc5fa05
> Content-Type: multipart/alternative; boundary=f46d042a0d551ed66b04cdc5fa03
> 
> --f46d042a0d551ed66b04cdc5fa03
> Content-Type: text/plain; charset=ISO-8859-1
> 
> I have made a few changes to the patch.
> You can see attached a modified patch against port's version of open-motif

Thanks Mikhail. I'll check it out and commit it in a day or so. Thank you 
for looking at this in such short order.



-- 
Cheers,
Cy Schubert <Cy.Schubert@komquats.com>
FreeBSD UNIX:  <cy@FreeBSD.org>   Web:  http://www.FreeBSD.org

	The need of the many outweighs the greed of the few.
Comment 7 Cy Schubert freebsd_committer 2012-11-06 19:48:33 UTC
State Changed
From-To: feedback->closed

Committed. Thanks.